<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_current_pred_unit" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getCurrentPredUnit - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: int krui_getCurrentPredUnit(FlintType*);
/*****************************************************************************
  FUNCTION : ann_get_current_pred_unit
  PURPOSE  :
  NOTES    :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_current_pred_unit</refname>

    <refpurpose>Returns the id of the current predecessor unit (of the
    current unit/site) and the connection weight.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[pred_unit_id, weight] = ann_get_current_pred_unit(network);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>pred_unit_id</term>

        <listitem>
          <para>Id of the current predecessor unit. If no predecessor unit
          available, i.e. if the current unit and/or site has no inputs, then
          equals to 0.  </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>weight</term>

        <listitem>
          <para>Connection weight between the current unit and its
          predecessor.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
